library("testthat")

points_for_all_tests(character(0))

test("n1 is in the correct range", character(0), {
  expect_true(n1 > 20 & n1 < 50)
})

test("guess_test is a function", character(0), {
  expect_true(is.function(guess_test))
})

test("guess_test returns a vector with correct length", character(0), {
  expect_equal(length(guess_test(42)), 42)
})

test("p1 is approximately correct", character(0), {
  expect_equal(p1, 0.05, tolerance=0.01, scale=1)
})
