library("testthat")

points_for_all_tests(character(0))

test("the first three elements of x are correct", character(0), {
  expect_equal(x[1:3], c(0, 1, 2))
})

test("the 30:th element of fx is correct", character(0), {
  expect_equal(fx[30], 0.07528799, tolerance=1e-6, scale=1)
})

test("the first three elements of y are correct", character(0), {
  expect_equal(y[1:3], c(0.00, 0.01, 0.02))
})

test("the 3000:th element of fy is correct", character(0), {
  expect_equal(fy[3000], 0.08790611, tolerance=1e-6, scale=1)
})
