library("testthat")

points_for_all_tests(character(0))

test("a1 is approximately correct", character(0), {
  expect_equal(a1, 0.05, tolerance=0.01, scale=1)
})

test("a2 is approximately correct", character(0), {
  expect_equal(a2, 0.02, tolerance=0.01, scale=1)
})

test("a3 is approximately correct", character(0), {
  expect_equal(a3, 0.50, tolerance=0.01, scale=1)
})

test("b1 is in the correct range", character(0), {
  expect_true(b1 > 0 & b1 < 20)
})

test("c1 is approximately correct", character(0), {
  expect_equal(c1, 0.9, tolerance=0.1, scale=1)
})
